Page MenuHomeFreeBSD

x11-themes/qt[4,5]-style-Kvantum: update to v0.10.7 and convert to FLAVORs.
ClosedPublic

Authored by rigoletto on Jun 22 2018, 12:58 AM.

Details

Summary

PR: 227484

  • updated to v0.10.7
  • converted to FLAVORs.

Thanks!

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Should CONFLICT_INSTALL be set with the old packages names?

Thanks!

In D15958#337880, @lbdm_privacychain.ch wrote:

Should CONFLICT_INSTALL be set with the old packages names?

Thanks!

Yeah, would not hurt I guess, and MOVED entries are required :)

Adding maintainer and portmgr (for flavors).

You should start with an "svn mv" of one of the old ones, so that there still is some of the history present.

x11-themes/Kvantum/Makefile
4 ↗(On Diff #44280)

For a new port, it should probably be DISTVERSION.

7 ↗(On Diff #44280)

It would be better to also use flavor helpers for PKGNAMESUFFIX:

qt4_PKGNAMESUFFIX=  -qt4
qt5_PKGNAMESUFFIX=  -qt5
rigoletto marked 2 inline comments as done.

Done.

I think I have to add the moved directory too.

Updating to use the new Qt USES.

Could you update the PR on bugzilla with the new diff, and ask for maintainer feedback?

I guess it's fine to call the timeout now :)

Clean 'header' after re-basing.

x11-themes/Kvantum/Makefile
33–35 ↗(On Diff #46098)
.elif ${FLAVOR} == qt5
rigoletto retitled this revision from x11-themes/qt[4,5]-style-Kvantum: update to v0.10.6 and convert to FLAVORs. to x11-themes/qt[4,5]-style-Kvantum: update to v0.10.7 and convert to FLAVORs..Aug 1 2018, 7:56 AM
rigoletto edited the summary of this revision. (Show Details)
rigoletto marked an inline comment as done.

Version update + fixes.

Thanks!

You are missing the MOVED entries :)

This revision was not accepted when it landed; it landed in state Needs Review.Aug 26 2018, 12:18 PM
This revision was automatically updated to reflect the committed changes.